com.sun.jna.platform.win32

## Class Winspool.PRINTER_NOTIFY_OPTIONS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.PRINTER_NOTIFY_OPTIONS

Enclosing interface:
  Winspool

    @Structure.FieldOrder(value={"Version","Flags","Count","pTypes"})
    public static class Winspool.PRINTER_NOTIFY_OPTIONS
    extends Structure

The PRINTER_NOTIFY_OPTIONS structure specifies options for a change notification object that monitors a printer or print server.

See Also:
  PRINTER_NOTIFY_OPTIONS structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `Count` The number of elements in the pTypes array.
`int` `Flags` A bit flag.
`Winspool.PRINTER_NOTIFY_OPTIONS_TYPE.ByReference` `pTypes` A pointer to an array of PRINTER_NOTIFY_OPTIONS_TYPE structures.
`int` `Version` The version of this structure.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`PRINTER_NOTIFY_OPTIONS()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Version

    public int Version

The version of this structure. Set this member to 2.

#### Flags

    public int Flags

A bit flag. If you set the PRINTER_NOTIFY_OPTIONS_REFRESH flag in a call to the FindNextPrinterChangeNotification function, the function provides current data for all monitored printer information fields. The FindFirstPrinterChangeNotification function ignores the Flags member.

#### Count

    public int Count

The number of elements in the pTypes array.

#### pTypes

    public Winspool.PRINTER_NOTIFY_OPTIONS_TYPE.ByReference pTypes

A pointer to an array of PRINTER_NOTIFY_OPTIONS_TYPE structures. Use one element of this array to specify the printer information fields to monitor, and one element to specify the job information fields to monitor. You can monitor either printer information, job information, or both.

### Constructor Detail

#### PRINTER_NOTIFY_OPTIONS

    public PRINTER_NOTIFY_OPTIONS()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.